Summary:        Template engine and code generator
Name:           python-cheetah
Version:        3.2.6.post1
Release:        3%{?dist}
License:        MIT
URL:            https://cheetahtemplate.org/
Source0:        https://github.com/CheetahTemplate3/cheetah3/archive/%{version}/cheetah3-%{version}.tar.gz
Patch3000:      tox-no-basepython.patch

BuildRequires:  gcc python3-devel

%description
Cheetah3 is a free and open source template engine and code generation tool.
It can be used standalone or combined with other tools and frameworks.
Web development is its principle use, but Cheetah is very flexible and is also
being used to generate C++ game code, Java, sql, form emails and even Python code.


%package -n python3-cheetah
Summary:        Template engine and code generator

%description -n python3-cheetah
Cheetah3 is a free and open source template engine and code generation tool.
It can be used standalone or combined with other tools and frameworks.
Web development is its principle use, but Cheetah is very flexible and is also
being used to generate C++ game code, Java, sql, form emails and even Python code.


%prep
%autosetup -p1 -n cheetah3-%{version}
sed -e 's|, < 3.2||' -i tox.ini
find Cheetah -type f -name '*.py' -print0 | xargs -0 sed -i -e '1 {/^#!/d}'

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files Cheetah


%check
sed -e 's|{envsitepackagesdir}|%{buildroot}%{python3_sitearch}|' -i tox.ini
%tox


%files -n python3-cheetah -f %{pyproject_files}
%doc ANNOUNCE.rst README.rst TODO BUGS
%{_bindir}/cheetah*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.6.post1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.6.post1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 05 2022 rockerzhu <rockerzhu@tencent.com> - 3.2.6.post1-1
- Initial build
